<?php session_start();
	require "conexao.php";
	require "recebernopedidos.php";
	require 'diasrecebidos.php';
	require_once '../gerador/MysqlConsulta.php';

	$mysql = new MysqlConsulta;

	require_once '../gerador/ManipularArquivos.php';

	$data =  date('Y/m/d');
	$chave = 0;
	$chave = filter_var( $_POST['chave'], FILTER_SANITIZE_STRING);
	$numero = filter_var( $_POST['numero'], FILTER_SANITIZE_STRING);
	@$fornecedor = filter_var( $_POST['fornecedor'], FILTER_SANITIZE_STRING);
	$boletos = filter_var( $_POST['boletos'], FILTER_SANITIZE_STRING);
	$observacao = filter_var( $_POST['observacao'], FILTER_SANITIZE_STRING);
	@$urgente = filter_var( $_POST['urgente'], FILTER_SANITIZE_STRING);
	@$idpedido = filter_var( $_POST['idpedido'], FILTER_SANITIZE_STRING);
	$loja = $_SESSION['loja'];
	$cfop = filter_var( $_POST['cfop'], FILTER_SANITIZE_STRING);
	@$avulso = filter_var( $_POST['avulso'], FILTER_SANITIZE_STRING);
	@$naoentrar = filter_var($_POST['naoentrar'], FILTER_SANITIZE_STRING);

	$usuario = $_SESSION['usuario'];

	//pedidos normais
	$status = "Pendente";
	//se escolheu urgente
	if($urgente) {

		$status = "Urgente";
	}
	
	//SE ESTA DANDO ENTRADA EM UMA LOJA QUE NAO FAZ CONTROLE DE ENTRADAS PELO REMOTO

	/*
	if ($loja == 'loja03' || $loja == '0'){

		$status = "Finalizada";
		
	}
*/

//para saber se uma chave ja foi cadastrada
$verificar = true;
//se a chave for diferente de zero verificar se ja existe senao proseguir porque foi um recebimento avulso e vai constar outra chave com valor zero
if ($chave <> 0)
{ 
$listagem = mysqli_query($conexao, "SELECT * from notas where chave = '$chave';");
while($linha = mysqli_fetch_array($listagem))
{
		
		$_SESSION['msg'] = "<div class='alert alert-danger'> JÁ RECEBIDA :=]</div>";
		header("Location: ../pedidos.php");

		$verificar = False;
  }
}

if($verificar)
{

if($idpedido)
{
		$listagem = mysqli_query($conexao, "SELECT * from pedidos WHERE id = '$idpedido';");

		while($linha = mysqli_fetch_array($listagem))
		{
			$data2 = $linha['datapedido'];
			$dias = calculoDiaspendentes($data2);
			diaspedido($conexao, $idpedido,$dias);
			$receber = receberPedido($conexao , $idpedido);
		}

	$query = "INSERT INTO notas (data_cadastro, chave,numero,fornecedor,boletos,observacao,status,loja,cfop,idpedidos,naoentrar, usuario)
	 VALUES ('$data','$chave', '$numero', '$fornecedor','$boletos','$observacao','$status', '$loja','$cfop', '$idpedido','$naoentrar','$usuario');" ;
			
	if (mysqli_query($conexao, $query))
	{
		$last_id = mysqli_insert_id($conexao);


		$mysql->verificaSeExisteMensagemParaEssePedido($conexao,$idpedido);


		$_SESSION['msg'] = "<div class='alert alert-success'>Recebido com sucesso <br> Anote esse código em sua nota física <h5> [ $last_id ] </h5> </div>";
		
		//gravar pedido no arquivo de log
		$logChave = new ManipularArquivos;
		$logChave->arquivarDadosRecebimentos($chave,$loja,$usuario);

		if($avulso != 1)
		{
		header("Location: ../pedidoFinalizar.php?idpedido=".$idpedido);
		}else{
		header("Location: ../pedidos.php");
		}
	}

}else{
	
	$query = "INSERT INTO notas (data_cadastro, chave,numero,fornecedor,boletos,observacao,status,loja,cfop,avulso,naoentrar,usuario)
	 VALUES ('$data','$chave', '$numero', '$fornecedor','$boletos','$observacao','$status', '$loja','$cfop','$avulso','$naoentrar', '$usuario');" ;

	if (mysqli_query($conexao, $query)) {

		$last_id = mysqli_insert_id($conexao);

		$mysql->verificaSeExisteMensagemParaEssePedido($conexao,$idpedido);


		$_SESSION['msg'] = "<div class='alert alert-success'>Recebido com sucesso <br> Anote esse código em sua nota física <h5> [ $last_id ] </h5> </div>";

		//gravar pedido no arquivo de log
		$logChave = new ManipularArquivos;
		$logChave->arquivarDadosRecebimentos($chave,$loja,$usuario);
			
		if($avulso != 1){
		header("Location: ../pedidoFinalizar.php?idpedido=".$idpedido);
		}else{
		header("Location: ../pedidos.php");
		}
	
	}
  }
}